API Guide Home (Online version only) |

# HsSndPortInfo Struct Reference

## Detailed Description

Holds sound port information.

Definition at line 438 of file HsSoundLibCommon.h.

## Data Fields

- UInt32 signature
- UInt32 flags
- HsSndPortID portID
- Int16 minVol
- Int16 maxVol
- Int16 unityVol
- Int16 stepVol
- Int16 currentVol
- Int16 currentPan
- UInt16 stepDB
- UInt16 boostDB
- UInt16 reserved1
- UInt16 reserved2

## Field Documentation

UInt32 signature

Always set to hsSndPortInfo_Signature.

Definition at line 440 of file HsSoundLibCommon.h.

UInt32 flags

Control and information about port.

Definition at line 441 of file HsSoundLibCommon.h.

HsSndPortID portID

Identifies the portID.

Definition at line 442 of file HsSoundLibCommon.h.

Int16 minVol

Bottom value of the volume range.

Definition at line 443 of file HsSoundLibCommon.h.

Int16 maxVol

Top value of the volume range.

Definition at line 444 of file HsSoundLibCommon.h.

Int16 unityVol

Volume value when there is no gain or dampening.

Definition at line 445 of file HsSoundLibCommon.h.

Int16 stepVol

Step size for volume changes within vol range.

Definition at line 446 of file HsSoundLibCommon.h.

Int16 currentVol

Tracks current volume setting.

Definition at line 447 of file HsSoundLibCommon.h.

Int16 currentPan

Pan control (0 is midpoint pan between L and R) max pan = maxVol - minVol.

Definition at line 448 of file HsSoundLibCommon.h.

UInt16 stepDB

How many dBs per step = (stepDB >> 8) / (stepDB & 0x0F).

Definition at line 449 of file HsSoundLibCommon.h.

UInt16 boostDB

How many dBs with boost = (boostDB >> 8) / (boostDB & 0x0F).

Definition at line 450 of file HsSoundLibCommon.h.

UInt16 reserved1

Reserved field, set to zero

Definition at line 451 of file HsSoundLibCommon.h.

UInt16 reserved2

Reserved field, set to zero

Definition at line 452 of file HsSoundLibCommon.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:12 2008 for Palm API Guide